=== debian/changelog ===
opensysusers (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #947846)

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Dec 2019 17:30:29 +0100
