=== debian/control ===
Source: opensysusers
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 openstack-pkg-tools (>= 99~),
 xsltproc,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/opensysusers
Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
Homepage: https://github.com/artix-linux/opensysusers

Package: opensysusers
Architecture: all
Depends:
 ${misc:Depends},
Description: processes sysusers.d directory to create system users
 Opensysusers uses the files from sysusers.d directory to create system users
 and groups and to add users to groups, at package installation or boot time.
 This tool may be used to allocate system users and groups only, it is not
 useful for creating non-system (i.e. regular, "human") users and groups, as it
 accesses /etc/passwd and /etc/group directly, bypassing any more complex user
 databases, for example any database involving NIS or LDAP.
 .
 Opensysusers is an alternative implementation of systemd-sysusers that may
 work on systems with or without systemd installed.
