=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/artix-linux/opensysusers.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers $(MAKE)

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/opensysusers/usr/share/man/man8
	PREFIX=/usr MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers DESTDIR=$(CURDIR)/debian/opensysusers $(MAKE) install

	# These are too specific to artix-linux, and conflicting with
	# stuff from systemd, so let's remove them
	rm -f $(CURDIR)/debian/opensysusers/usr/lib/sysusers.d/basic.conf

	# The man pages are conflicting with systemd, so let's remove them too
	rm -rf $(CURDIR)/debian/opensysusers/usr/share/man

	# We move this away, so we can install the alternatives
	mv $(CURDIR)/debian/opensysusers/usr/bin/sysusers $(CURDIR)/debian/opensysusers/usr/bin/opensysusers-sysusers
