=== debian/changelog ===
opensysusers (0.6-3) unstable; urgency=medium

  * QA upload.
  * Update copyright years
  * Bump Standards-Version to 4.6.0, no changes
     required
  * Change section to admin
  * Update gitignore files
  * quilt patches:
    - Stop using eval (Closes: #992058, CVE-2021-40084)
    - Create group with m action (Closes: #986015)
    - Fix wrong nologin path

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 19 Sep 2021 02:49:09 +0200

opensysusers (0.6-2) unstable; urgency=medium

  * QA upload.
  * Rename and ship opensysusers manpages:
     changing name is necessary to avoid a conflict
     with systemd manpages

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 26 Jan 2021 23:03:53 +0100

opensysusers (0.6-1) unstable; urgency=medium

  * QA upload.
  * Add a sysvinit script
  * Add a lintian override for missing systemd unit
  * New upstream version 0.6
  * Set maintainer to QA Group (see #975378)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1
  * d/clean: remove autogenereted manpages
  * Provide systemd-sysusers
  * Set Rules-requires-root to no
  * Enable the standard Salsa CI pipeline

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 22 Dec 2020 17:30:08 +0100
