=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: opensysusers
-Section: net
+Section: admin
 Priority: optional
-Maintainer: Thomas Goirand <zigo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  openstack-pkg-tools (>= 99~),
  xsltproc,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/opensysusers
 Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
 Homepage: https://github.com/artix-linux/opensysusers
 
 Package: opensysusers
+Provides: systemd-sysusers
 Architecture: all
 Depends:
  ${misc:Depends},
