=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,16 @@
 	# stuff from systemd, so let's remove them
 	rm -f $(CURDIR)/debian/opensysusers/usr/lib/sysusers.d/basic.conf
 
-	# The man pages are conflicting with systemd, so let's remove them too
-	rm -rf $(CURDIR)/debian/opensysusers/usr/share/man
+	# Rename the manpages to avoid a conflict with systemd
+	mv $(CURDIR)/debian/opensysusers/usr/share/man/man5/sysusers.d.5 \
+	  $(CURDIR)/debian/opensysusers/usr/share/man/man5/opensysusers.d.5
+	mv $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.8 \
+	  $(CURDIR)/debian/opensysusers/usr/share/man/man8/opensysusers-sysusers.8
+	# no service file in opensysuser, so removing the link
+	rm -f $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.service.8
 
 	# We move this away, so we can install the alternatives
 	mv $(CURDIR)/debian/opensysusers/usr/bin/sysusers $(CURDIR)/debian/opensysusers/usr/bin/opensysusers-sysusers
+	
+override_dh_installinit:
+	dh_installinit --no-start
