=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/artix-linux/opensysusers/tags .*/(\d[\d\.]+)\.tar\.gz
