## opensysusers 0.7

=== debian/changelog ===
opensysusers (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * Set homepage to cromerc/opensysusers on GitHub
  * d/control: set myself as the maintainer (Closes: #975378)
  * d/lintian-overrides: fix overrides
  * d/patches: drop upstreamed patches
  * d/patches: don't install HTML docs
  * d/u/metadata: add upstream metadata

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 17 Aug 2022 19:19:43 +0200
