## opensysusers 0.7.3

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 HAVESYSTEMD = yes
 HAVEOPENRC = no
 HAVEMAN = yes
+HAVEDOC = no
 
 INITD = opensysusers.initd
 
@@ -32,7 +33,7 @@
 endif
 ifeq ($(HAVEMAN),yes)
 all:
-	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
+	+$(MAKE) HAVEDOC=$(HAVEDOC) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
 endif
 
 EDIT = sed "s|@BINNAME[@]|$(BINNAME)|"
