=== debian/changelog ===
opensysusers (0.7.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: support u! type (Closes: #1118619)
  * d/tests: add locked-user test

 -- Andrew Bower <andrew@bower.uk>  Wed, 29 Oct 2025 16:20:30 +0000

opensysusers (0.7.3-5) unstable; urgency=medium

  * d/patches: fix uid:gid support (Closes: #1105010)
  * d/tests: add uid-gid test

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 25 Jun 2025 18:32:06 +0200

opensysusers (0.7.3-4.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Declare Conflicts: systemd-sysusers and remove diversions.
    (Closes: #1092745)

  [ Michael Biebl ]
  * Run autopkgtest without installing

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 26 Jan 2025 13:41:22 +0100

opensysusers (0.7.3-4) unstable; urgency=medium

  * d/changelog: correct closed bug for previous entry
  * Move to /usr and duplicate diversion to mitigate DEP17 P3 via M18.
    Thanks to Helmut for the patch! (Closes: #1055514)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 17 Sep 2024 19:38:59 +0200

opensysusers (0.7.3-3) unstable; urgency=medium

  * First dgit upload
  * d/control: apply X-Style: black
  * d/control: add missing depends on passwd
  * d/tests: add simple autopkgtest
  * d/tests: add --root test
  * d/patches: fix --root option (Closes: #1055517)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 16 Sep 2024 01:05:24 +0200

opensysusers (0.7.3-2) unstable; urgency=medium

  * d/preinst: remove -u option.
    Thanks to Samuel Thibault for the report (Closes: #1024355)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 16:18:16 +0100

opensysusers (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 22:12:35 +0100

opensysusers (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * d/copyright: add new markdown docs
  * d/patches: drop upstreamed patches
  * d/patches: add missing standard-specifiers.xml

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 17 Sep 2022 14:45:57 +0200
