=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: opensysusers
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-build-api (= 1),
  docbook-xml,
  docbook-xsl,
- openstack-pkg-tools (>= 99~),
  xsltproc,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/opensysusers
 Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
-Homepage: https://github.com/artix-linux/opensysusers
+Homepage: https://github.com/cromerc/opensysusers
+X-Style: black
 
 Package: opensysusers
-Provides: systemd-sysusers
+Provides:
+ systemd-sysusers,
+Conflicts:
+ systemd-sysusers,
 Architecture: all
 Depends:
+ passwd,
  ${misc:Depends},
 Description: processes sysusers.d directory to create system users
  Opensysusers uses the files from sysusers.d directory to create system users
