=== debian/tests/control ===
Tests:
 run,
Depends:
 passwd,
Restrictions:
 breaks-testbed,
 needs-root,

Tests:
 root,
 uid-gid,
 locked-user,
Depends:
 passwd,
